cdac.medinfo.model

## Class CCDHeader

- java.lang.Object
- - cdac.medinfo.model.CCDHeader

-     public class CCDHeader
      extends java.lang.Object

  This class specify the details of CCD Header.

  This class has the following attributes:

  1. Patient Details (List`<PatientDetails>`)
  2. Author (List`<AuthorInfo>`)
  3. DocumentationOf (List`<DocumentationOfInfo>`)
  4. Organization (OrganizationInfo)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCDHeader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AuthorInfo>` | `getAuthor()` Returns the List of Author Details.
    `java.util.List<DocumentationOfInfo>` | `getDocumentationOf()` Returns the List of DocumentstionOf Details.
    `OrganizationInfo` | `getOrganization()` Returns the Organization Details.
    `java.util.List<PatientDetails>` | `getPatientDetails()` Returns the List of Patient Details.
    `void` | `setOrganization(OrganizationInfo objOrganization)` Sets the Organization Details.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCDHeader

          public CCDHeader()

  - ### Method Detail

    - #### getPatientDetails

          public java.util.List<PatientDetails> getPatientDetails()

      Returns the List of Patient Details.
      Returns:
        the objPatientDetails

    - #### getAuthor

          public java.util.List<AuthorInfo> getAuthor()

      Returns the List of Author Details.
      Returns:
        the objAuthor

    - #### getDocumentationOf

          public java.util.List<DocumentationOfInfo> getDocumentationOf()

      Returns the List of DocumentstionOf Details.
      Returns:
        the objDocumentationOf

    - #### getOrganization

          public OrganizationInfo getOrganization()

      Returns the Organization Details.
      Returns:
        the Organization

    - #### setOrganization

          public void setOrganization(OrganizationInfo objOrganization)

      Sets the Organization Details.
      Parameters:
        `objOrganization` - Specifies the Organization Details.